POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "c11c2a25-e713-42de-84de-1b7d99ae6310",
"program_id": "a91d91f4-2986-4723-95c4-42ee9c54cfab",
"mediwave_program_step_type_id": "b1927fbe-fa29-4c86-9e4e-f65006e8c52b",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>c11c2a25-e713-42de-84de-1b7d99ae6310</id> <mediwave_program_step_type_id>b1927fbe-fa29-4c86-9e4e-f65006e8c52b</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>a91d91f4-2986-4723-95c4-42ee9c54cfab</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"5d91b67b-032f-4178-ad6f-3b26a09289b2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5d91b67b-032f-4178-ad6f-3b26a09289b2</guid>